Get the organization's default reminder sequence

gethttps://api.expiryedge.com/v1/getReminderSettings
any role60/min
Request
curl 'https://api.expiryedge.com/v1/getReminderSettings' \
  -H "Authorization: Bearer $EXPIRYEDGE_API_KEY"
Response
{
  "reminders": [
    {
      "time_unit": "day",
      "amount": 30,
      "period": "before",
      "time": "09:00",
      "timezone": "America/Chicago"
    },
    {
      "time_unit": "day",
      "amount": 7,
      "period": "before",
      "time": "09:00",
      "timezone": "America/Chicago"
    }
  ]
}

Default reminders applied to new expiries. When none are saved, returns the built-in default (1, 2, 5 and 30 days before at 09:00 UTC).

Returns

200
Default reminder rows.
  • remindersarray of objectsrequired

Errors

400
The request is missing required fields or contains invalid values.
401
Missing, expired or invalid bearer token.
429
Too many requests for this endpoint from your IP. Wait Retry-After seconds.